TilesServlet (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.TilesServlet,TilesServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class TilesServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--org.apache.struts.tiles.TilesServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

Deprecated. Use the ActionServlet instead.

public class TilesServlet
extends javax.servlet.http.HttpServlet

A simple servlet initializing and loading Tiles factory. This servlet can be declared in web.xml, as well as all initialization parameters available with the specified factory. This servlet is intended to be used in application using Tiles without Struts.

Author:
  Cedric Dumoulin
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Deprecated. Commons Logging instance.

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`TilesServlet()` Deprecated.

Method Summary
`void` | `init()` Deprecated. Initialize this servlet

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Deprecated.
  Commons Logging instance.

Constructor Detail

### TilesServlet

    public TilesServlet()

  Deprecated.

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Deprecated.
  Initialize this servlet

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - if we cannot configure ourselves correctly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation